Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 1806)
+++ admin/posts_actions.php	(revision 1719)
@@ -11,14 +11,490 @@
 # -- END LICENSE BLOCK -----------------------------------------
 
-/* ### THIS FILE IS DEPRECATED 					### */
-/* ### IT IS ONLY USED FOR PLUGINS COMPATIBILITY ### */
-
 require dirname(__FILE__).'/../inc/admin/prepend.php';
 
 dcPage::check('usage,contentadmin');
 
-$posts_actions_page = new dcPostsActionsPage($core,'posts.php');
-
-$posts_actions_page->process();
-
+$params = array();
+
+/**
+* FieldsList - Compatibility class for hidden fields & entries[] fields
+*
+*/
+class FieldsList {
+	/** @var array list of hidden fields */
+	protected $hidden;
+	/** @var array list of selected entries */
+	protected $entries;
+
+
+   /**
+     * Class constructor
+	*/
+	public function __construct() {
+		$this->hidden=array();
+		$this->entries =array();
+	}
+
+    /**
+     * addHidden - adds a hidden field
+     * 
+     * @param string $name the field name.
+     * @param mixed $value the field value.
+     *
+     * @access public
+	 * @return the FieldsList instance, enabling to chain requests
+     */	
+	 public function addHidden($name,$value) {
+		$this->hidden[] = form::hidden($name,$value);
+		return $this;
+	}
+
+    /**
+     * addEntry - adds a antry field
+     * 
+     * @param string $id the entry id.
+     * @param mixed $title the entry title.
+     *
+     * @access public
+	 * @return the FieldsList instance, enabling to chain requests
+     */	
+	 public function addEntry($id,$title) {
+		$this->entries[$id]=$title;
+		return $this;
+	}
+
+    /**
+     * getHidden - returns the list of hidden fields, html encoded
+     *
+     * @access public
+	 * @return the list of hidden fields, html encoded
+     */
+	 public function getHidden() {
+		return join('',$this->hidden);
+	}
+	
+    /**
+     * getEntries - returns the list of entry fields, html encoded
+     *
+	 * @param boolean $hidden if set to true, returns entries as a list of hidden field
+	 *                if set to false, returns html code displaying the list of entries
+	 *                with a list of checkboxes to enable to select/deselect entries
+     * @access public
+	 * @return the list of entry fields, html encoded
+     */
+	public function getEntries ($hidden=false) {
+		$ret = '';
+		if ($hidden) {
+			foreach ($this->entries as $id=> $e) {
+				$ret .= form::hidden('entries[]',$id);
+			}
+		} else {
+			$ret = 
+				'<table class="posts-list"><tr>'.
+				'<th colspan="2">'.__('Title').'</th>'.
+				'</tr>';
+			foreach ($this->entries as $id=>$title) {
+				$ret .= 
+					'<tr><td>'.
+					form::checkbox(array('entries[]'),$id,true,'','').'</td>'.
+					'<td>'.	$title.'</td></tr>';
+			}
+			$ret .= '</table>';
+		}
+		return $ret;
+	}
+	
+    /**
+     * getEntriesQS - returns the list of entry fields as query string
+     *
+     * @access public
+	 * @return the list of entry fields, html encoded
+     */
+	public function getEntriesQS() {
+		$ret=array();
+		foreach ($this->entries as $id=>$title) {
+			$ret[] = 'entries[]='.$id;
+		}
+		return join('&',$ret);
+	}
+	
+    /**
+     * __toString - magic method. -- DEPRECATED here
+	 *              This method is only used to preserve compatibility with plugins 
+	 *				relying on previous versions of adminPostsActionsContent behavior, 
+	 *
+     * @access public
+	 * @return the list of hidden fields and entries (as hidden fields too), html encoded
+     */
+	public function __toString() {
+		return join('',$this->hidden).$this->getEntries(true);
+	}
+}
+
+$fields = new FieldsList();
+$posts_ids = array();
+
+if (isset($_POST['redir']) && strpos($_POST['redir'],'://') === false)
+{
+	$redir = $_POST['redir'];
+}
+else
+{
+	$redir =
+	'posts.php?user_id='.$_POST['user_id'].
+	'&cat_id='.$_POST['cat_id'].
+	'&status='.$_POST['status'].
+	'&selected='.$_POST['selected'].
+	'&month='.$_POST['month'].
+	'&lang='.$_POST['lang'].
+	'&sortby='.$_POST['sortby'].
+	'&order='.$_POST['order'].
+	'&page='.$_POST['page'].
+	'&nb='.$_POST['nb'];
+}
+$redir_sel = $redir;
+
+if (!empty($_POST['entries']))
+{
+	$entries = $_POST['entries'];
+	
+	foreach ($entries as $k => $v) {
+		$entries[$k] = (integer) $v;
+	}
+	
+	$params['sql'] = 'AND P.post_id IN('.implode(',',$entries).') ';
+	
+	if (!isset($_POST['full_content']) || empty($_POST['full_content'])) {
+		$params['no_content'] = true;
+	}
+	
+	if (isset($_POST['post_type'])) {
+		$params['post_type'] = $_POST['post_type'];
+	}
+	
+	$posts = $core->blog->getPosts($params);
+	while ($posts->fetch())	{
+		$posts_ids[] = $posts->post_id;
+		$fields->addEntry($posts->post_id,$posts->post_title);
+	}
+	// Redirection including selected entries
+	$redir_sel = $redir.'&'.$fields->getEntriesQS();
+
+} else {
+	$posts = $core->con->select("SELECT blog_id FROM ".$core->prefix."blog WHERE false");;
+}
+
+/* Actions
+-------------------------------------------------------- */
+if (!empty($_POST['action']))
+{
+	$action = $_POST['action'];
+} 
+else
+{
+	$core->error->add(__('No action specified.'));
+	dcPage::open(
+		__('Entries'),'',dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			__('Entries') => 'posts.php',
+			'<span class="page-title">'.__('Entries actions').'</span>' => ''
+		))
+	);
+	
+	echo '<p><a class="back" href="'.html::escapeURL($redir_sel).'">'.__('Back to entries list').'</a></p>';
+
+	dcPage::close();
+	exit;
+}
+
+# --BEHAVIOR-- adminPostsActions
+$core->callBehavior('adminPostsActions',$core,$posts,$action,$redir);
+
+if (preg_match('/^(publish|unpublish|schedule|pending)$/',$action))
+{
+	switch ($action) {
+		case 'unpublish' : $status = 0; break;
+		case 'schedule' : $status = -1; break;
+		case 'pending' : $status = -2; break;
+		default : $status = 1; break;
+	}
+	
+	try
+	{
+		$core->blog->updPostsStatus($posts_ids,$status);
+		
+		http::redirect($redir_sel.'&upd=1');
+	}
+	catch (Exception $e)
+	{
+		$core->error->add($e->getMessage());
+	}
+}
+elseif ($action == 'selected' || $action == 'unselected')
+{
+	try
+	{
+		$core->blog->updPostsSelected($posts_ids,$action == 'selected');
+		
+		http::redirect($redir_sel."&upd=1");
+	}
+	catch (Exception $e)
+	{
+		$core->error->add($e->getMessage());
+	}
+}
+elseif ($action == 'delete')
+{
+	try
+	{
+		// Backward compatibility
+		foreach($posts_ids as $post_id)
+		{
+			# --BEHAVIOR-- adminBeforePostDelete
+			$core->callBehavior('adminBeforePostDelete',(integer) $post_id);
+		}
+		
+		# --BEHAVIOR-- adminBeforePostsDelete
+		$core->callBehavior('adminBeforePostsDelete',$posts_ids);
+		
+		$core->blog->delPosts($posts_ids);
+		
+		http::redirect($redir."&del=1");
+	}
+	catch (Exception $e)
+	{
+		$core->error->add($e->getMessage());
+	}
+	
+}
+elseif ($action == 'category' && isset($_POST['new_cat_id']))
+{
+	$new_cat_id = $_POST['new_cat_id'];
+	
+	try
+	{
+		if (!empty($_POST['new_cat_title']) && $core->auth->check('categories', $core->blog->id))
+		{
+			$cur_cat = $core->con->openCursor($core->prefix.'category');
+			$cur_cat->cat_title = $_POST['new_cat_title'];
+			$cur_cat->cat_url = '';
+			
+			$parent_cat = !empty($_POST['new_cat_parent']) ? $_POST['new_cat_parent'] : '';
+			
+			# --BEHAVIOR-- adminBeforeCategoryCreate
+			$core->callBehavior('adminBeforeCategoryCreate', $cur_cat);
+			
+			$new_cat_id = $core->blog->addCategory($cur_cat, (integer) $parent_cat);
+			
+			# --BEHAVIOR-- adminAfterCategoryCreate
+			$core->callBehavior('adminAfterCategoryCreate', $cur_cat, $new_cat_id);
+		}
+		
+		$core->blog->updPostsCategory($posts_ids, $new_cat_id);
+		
+		http::redirect($redir_sel."&upd=1");
+	}
+	catch (Exception $e)
+	{
+		$core->error->add($e->getMessage());
+	}
+}
+elseif ($action == 'author' && isset($_POST['new_auth_id'])
+&& $core->auth->check('admin',$core->blog->id))
+{
+	$new_user_id = $_POST['new_auth_id'];
+	
+	try
+	{
+		if ($core->getUser($new_user_id)->isEmpty()) {
+			throw new Exception(__('This user does not exist'));
+		}
+		
+		$cur = $core->con->openCursor($core->prefix.'post');
+		$cur->user_id = $new_user_id;
+		$cur->update('WHERE post_id '.$core->con->in($posts_ids));
+		
+		http::redirect($redir_sel."&upd=1");
+	}
+	catch (Exception $e)
+	{
+		$core->error->add($e->getMessage());
+	}
+}
+elseif ($action == 'lang' && isset($_POST['new_lang']))
+{
+	$new_lang = $_POST['new_lang'];
+	try
+	{
+		$cur = $core->con->openCursor($core->prefix.'post');
+		$cur->post_lang = $new_lang;
+		$cur->update('WHERE post_id '.$core->con->in($posts_ids));
+		
+		http::redirect($redir_sel."&upd=1");
+	}
+	catch (Exception $e)
+	{
+		$core->error->add($e->getMessages());
+	}
+}
+
+/* DISPLAY
+-------------------------------------------------------- */
+// Get current users list
+$usersList = '';
+if ($action == 'author' && $core->auth->check('admin',$core->blog->id)) {
+	$params = array(
+		'limit' => 100,
+		'order' => 'nb_post DESC'
+		);
+	$rs = $core->getUsers($params);
+	while ($rs->fetch())
+	{
+		$usersList .= ($usersList != '' ? ',' : '').'"'.$rs->user_id.'"';
+	}
+}
+dcPage::open(
+	__('Entries'),
+	'<script type="text/javascript">'."\n".
+	"//<![CDATA[\n".
+	'usersList = ['.$usersList.']'."\n".
+	"\n//]]>\n".
+	"</script>\n".
+	dcPage::jsLoad('js/jquery/jquery.autocomplete.js').
+	dcPage::jsLoad('js/_posts_actions.js').
+	dcPage::jsMetaEditor().
+	# --BEHAVIOR-- adminBeforePostDelete
+	$core->callBehavior('adminPostsActionsHeaders')
+);
+
+if (!isset($action)) {
+	dcPage::close();
+	exit;
+}
+
+if (isset($_POST['redir']) && strpos($_POST['redir'],'://') === false)
+{
+	$fields->addHidden(array('redir'),html::escapeURL($_POST['redir']));
+}
+else
+{
+	$fields
+		->addHidden(array('user_id'),$_POST['user_id'])
+		->addHidden(array('cat_id'),$_POST['cat_id'])
+		->addHidden(array('status'),$_POST['status'])
+		->addHidden(array('selected'),$_POST['selected'])
+		->addHidden(array('month'),$_POST['month'])
+		->addHidden(array('lang'),$_POST['lang'])
+		->addHidden(array('sortby'),$_POST['sortby'])
+		->addHidden(array('order'),$_POST['order'])
+		->addHidden(array('page'),$_POST['page'])
+		->addHidden(array('nb'),$_POST['nb'])
+	;
+}
+
+if (isset($_POST['post_type'])) {
+	$fields->addHidden(array('post_type'),$_POST['post_type']);
+}
+
+# --BEHAVIOR-- adminPostsActionsContent
+$core->callBehavior('adminPostsActionsContent',$core,$action,$fields);
+
+if ($action == 'category')
+{
+	echo dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			__('Entries') => 'posts.php',
+			'<span class="page-title">'.__('Change category for this selection').'</span>' => ''
+	));
+	
+	echo '<p><a class="back" href="'.html::escapeURL($redir_sel).'">'.__('Back to entries list').'</a></p>';
+
+	# categories list
+	# Getting categories
+	$categories_combo = dcAdminCombos::getCategoriesCombo(
+		$core->blog->getCategories(array('post_type'=>'post'))
+	);
+	
+	echo
+	'<form action="posts_actions.php" method="post">'.
+	$fields->getEntries().
+	'<p><label for="new_cat_id" class="classic">'.__('Category:').'</label> '.
+	form::combo('new_cat_id',$categories_combo,'');
+	
+	if ($core->auth->check('categories', $core->blog->id)) {
+		echo 
+		'<div>'.
+		'<p id="new_cat">'.__('Create a new category for the post(s)').'</p>'.
+		'<p><label for="new_cat_title">'.__('Title:').'</label> '.
+		form::field('new_cat_title',30,255,'','').'</p>'.
+		'<p><label for="new_cat_parent">'.__('Parent:').'</label> '.
+		form::combo('new_cat_parent',$categories_combo,'','').
+		'</p>'.
+		'</div>';
+	}
+	
+	echo
+	$fields->getHidden().
+	$core->formNonce().
+	form::hidden(array('action'),'category').
+	'<input type="submit" value="'.__('Save').'" /></p>'.
+	'</form>';
+}
+elseif ($action == 'lang')
+{
+	echo dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			__('Entries') => 'posts.php',
+			'<span class="page-title">'.__('Change language for this selection').'</span>' => ''
+	));
+	echo '<p><a class="back" href="'.html::escapeURL($redir_sel).'">'.__('Back to entries list').'</a></p>';
+
+	# lang list
+	# Languages combo
+	$rs = $core->blog->getLangs(array('order'=>'asc'));
+	$lang_combo = dcAdminCombos::getLangsCombo($rs,true);
+	
+	echo
+	'<form action="posts_actions.php" method="post">'.
+	$fields->getEntries().
+	
+	'<p><label for="new_lang" class="classic">'.__('Entry lang:').'</label> '.
+	form::combo('new_lang',$lang_combo,'');
+	
+	echo
+	$fields->getHidden().
+	$core->formNonce().
+	form::hidden(array('action'),'lang').
+	'<input type="submit" value="'.__('Save').'" /></p>'.
+	'</form>';
+
+}
+elseif ($action == 'author' && $core->auth->check('admin',$core->blog->id))
+{
+	echo dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			__('Entries') => 'posts.php',
+			'<span class="page-title">'.__('Change author for this selection').'</span>' => ''
+	));
+	echo '<p><a class="back" href="'.html::escapeURL($redir_sel).'">'.__('Back to entries list').'</a></p>';
+
+	echo
+	'<form action="posts_actions.php" method="post">'.
+	$fields->getEntries().
+	'<p><label for="new_auth_id" class="classic">'.__('New author (author ID):').'</label> '.
+	form::field('new_auth_id',20,255);
+	
+	echo
+	$fields->getHidden().
+	$core->formNonce().
+	form::hidden(array('action'),'author').
+	'<input type="submit" value="'.__('Save').'" /></p>'.
+	'</form>';
+}
+
+dcPage::close();
 ?>
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 1845)
+++ admin/preferences.php	(revision 1786)
@@ -169,4 +169,6 @@
 			$core->auth->user_prefs->interface->put('hide_std_favicon',!empty($_POST['user_ui_hide_std_favicon']),'boolean',null,true,true);
 		}
+		$core->auth->user_prefs->interface->put('iconset',(!empty($_POST['user_ui_iconset']) ? $_POST['user_ui_iconset'] : ''));
+		$core->auth->user_prefs->interface->put('nofavmenu',!empty($_POST['user_ui_nofavmenu']),'boolean');
 		
 		# Udate user
Index: build-tools/make-l10n.php
===================================================================
--- build-tools/make-l10n.php	(revision 1863)
+++ build-tools/make-l10n.php	(revision 1179)
@@ -29,5 +29,24 @@
 	echo "l10n file ".$dest.": ";
 	
-	if (l10n::generatePhpFileFromPo(dirname($f).'/'.basename($f,'.po'),$license_block)) {
+	$l = l10n::getPoFile($f);
+	
+	$fcontent =
+	"<?php\n".
+	$license_block.
+	"#\n#\n#\n".
+	"#        DOT NOT MODIFY THIS FILE !\n\n\n\n\n";
+	
+	foreach (l10n::getPoFile($f) as $vo => $tr) {
+		$vo = str_replace("'","\\'",$vo);
+		$tr = str_replace("'","\\'",$tr);
+		$fcontent .= '$GLOBALS[\'__l10n\'][\''.$vo.'\'] = \''.$tr.'\';'."\n";
+	}
+	
+	$fcontent .= "?>";
+	
+	echo $dest.' : ';
+	if (($fp = fopen($dest,'w')) !== false) {
+		fwrite($fp,$fcontent,strlen($fcontent));
+		fclose($fp);
 		echo 'OK';
 	} else {
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 1867)
+++ inc/admin/lib.dc.page.php	(revision 1793)
@@ -152,8 +152,4 @@
 		'<div id="wrapper" class="clearfix">'."\n".
 		'<div id="main">'."\n".
-		'<div class="hidden-if-no-js"><a href="#" id="collapser">'.
-		'<img class="collapse-mm" src="images/collapser-hide.png" alt="'.__('Hide main menu').'" />'.
-		'<img class="expand-mm" src="images/collapser-show.png" alt="'.__('Show main menu').'" />'.
-		'</a></div>'.
 		'<div id="content" class="clearfix">'."\n";
 
@@ -210,5 +206,4 @@
 		echo
 		'</div>'."\n".		// End of #main-menu
-
 		'<div id="footer">'.
 		'<span class="helplink"><a href="help.php">'.__('Global help').'</a></span> '.
@@ -487,5 +482,5 @@
 	{
 		$mute_or_no = '';
-		if (empty($GLOBALS['core']->blog) || $GLOBALS['core']->blog->settings->system->jquery_migrate_mute) {
+		if (!empty($GLOBALS['core']->blog->settings->system->jquery_migrate_mute)) {
 			$mute_or_no .=
 				'<script type="text/javascript">'."\n".
@@ -589,6 +584,4 @@
 		self::jsVar('dotclear.msg.xhtml_not_valid',
 			__('There are XHTML markup errors.')).
-		self::jsVar('dotclear.msg.warning_validate_no_save_content',
-			__('Attention: an audit of a content not yet registered.')).
 		self::jsVar('dotclear.msg.confirm_change_post_format',
 			__('You have unsaved changes. Switch post format will loose these changes. Proceed anyway?')).
@@ -817,4 +810,6 @@
 
 	return
+	'<link rel="stylesheet" type="text/css" href="style/jsUpload/style.css" />'."\n".
+
 	'<script type="text/javascript">'."\n".
 	"//<![CDATA[\n".
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 1905)
+++ inc/admin/lib.pager.php	(revision 1670)
@@ -257,10 +257,5 @@
 			$pager->html_next = $this->html_next;
 			$pager->var_page = 'page';
-			$comments = array();
-			if (isset($_REQUEST['comments'])) {
-				foreach ($_REQUEST['comments'] as $v) {
-					$comments[(integer)$v]=true;
-				}
-			}			
+			
 			$html_block =
 			'<table><caption class="hidden">'.__('Comments and trackbacks list').'</caption><tr>'.
@@ -284,5 +279,5 @@
 			while ($this->rs->fetch())
 			{
-				echo $this->commentLine(isset($comments[$this->rs->comment_id]));
+				echo $this->commentLine();
 			}
 			
@@ -293,5 +288,5 @@
 	}
 	
-	private function commentLine($checked)
+	private function commentLine()
 	{
 		global $author, $status, $sortby, $order, $nb_per_page;
@@ -341,5 +336,5 @@
 		$res .=
 		'<td class="nowrap">'.
-		form::checkbox(array('comments[]'),$this->rs->comment_id,$checked,'','',0).'</td>'.
+		form::checkbox(array('comments[]'),$this->rs->comment_id,'','','',0).'</td>'.
 		'<td class="nowrap" abbr="'.__('Type and author').'" scope="raw">'.
 			'<a href="'.$comment_url.'" title="'.$comment_title.'">'.
Index: inc/core/class.dc.media.php
===================================================================
--- inc/core/class.dc.media.php	(revision 1855)
+++ inc/core/class.dc.media.php	(revision 1718)
@@ -462,5 +462,5 @@
 		$this->dir['files'] = $f_res;
 		foreach ($this->dir['dirs'] as $k => $v) {
-			$v->media_icon = sprintf($this->icon_img,($v->parent ? 'folder-up' : 'folder'));
+			$v->media_icon = sprintf($this->icon_img,'folder');
 		}
 		
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 1905)
+++ inc/prepend.php	(revision 1719)
@@ -64,7 +64,4 @@
 $__autoload['context']				= dirname(__FILE__).'/public/lib.tpl.context.php';
 $__autoload['dcUrlHandlers']			= dirname(__FILE__).'/public/lib.urlhandlers.php';
-$__autoload['dcPostsActionsPage']			= dirname(__FILE__).'/admin/actions/class.dcactionposts.php';
-$__autoload['dcCommentsActionsPage']			= dirname(__FILE__).'/admin/actions/class.dcactioncomments.php';
-$__autoload['dcActionsPage']			= dirname(__FILE__).'/admin/actions/class.dcaction.php';
 
 # Clearbricks extensions
Index: plugins/importExport/inc/class.dc.export.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.export.flat.php	(revision 1857)
+++ plugins/importExport/inc/class.dc.export.flat.php	(revision 1559)
@@ -196,5 +196,5 @@
 		
 		'<p><label for="file_name">'.__('File name:').'</label>'.
-		form::field(array('file_name','file_name'),50,255,date('Y-m-d-H-i-').html::escapeHTML($this->core->blog->id.'-backup.txt')).
+		form::field(array('file_name','file_name'),50,255,date('Y-m-d-').html::escapeHTML($this->core->blog->id.'-backup.txt')).
 		'</p>'.
 		
@@ -221,5 +221,5 @@
 			
 			'<p><label for="file_name2">'.__('File name:').'</label>'.
-			form::field(array('file_name','file_name2'),50,255,date('Y-m-d-H-i-').'dotclear-backup.txt').
+			form::field(array('file_name','file_name2'),50,255,date('Y-m-d-').'dotclear-backup.txt').
 			'</p>'.
 			
Index: plugins/pages/index.php
===================================================================
--- plugins/pages/index.php	(revision 1903)
+++ plugins/pages/index.php	(revision 1888)
@@ -17,4 +17,6 @@
 if ($act == 'page') {
 	include dirname(__FILE__).'/page.php';
+} else if ($act == 'actions') {
+	include dirname(__FILE__).'/pages_actions.php';
 } else {
 	include dirname(__FILE__).'/list.php';
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 1903)
+++ plugins/pages/list.php	(revision 1893)
@@ -144,73 +144,30 @@
 }
 
-class dcPagesActionsPage extends dcPostsActionsPage {
-
-	public function __construct($core,$uri,$redirect_args=array()) {
-		parent::__construct($core,$uri,$redirect_args);
-		$this->redirect_fields = array();
-
-	}
-	
-	public function beginPage($breadcrumb='',$header='') {
-		echo '<html><head><title>'.__('Pages').'</title>'.
-			dcPage::jsLoad('index.php?pf=pages/list.js').
-			# --BEHAVIOR-- adminBeforePostDelete
-			$core->callBehavior('adminPagesActionsHeaders').
-			'<script type="text/javascript">'.
-			'//<![CDATA['.
-			dcPage::jsVar('dotclear.msg.confirm_delete_posts',__("Are you sure you want to delete selected pages?")).
-			'//]]>'.
-			'</script></head><body>';
-	}
-	
-	public function endPage() {
-		echo '</body></html>';
-	}
-	public function loadDefaults() {
-		parent::loadDefaults();
-		unset ($this->combos[__('Mark')]);
-		unset ($this->actions['selected']);
-		unset ($this->actions['unselected']);
-		$this->actions['reorder']=array('dcPagesActionsPage','doReorderPages');
-	}
-	public function process() {
-		// fake action for pages reordering
-		if (!empty($this->from['reorder'])) {
-			$this->from['action']='reorder';
-		}
-		parent::process();
-	}
-	
-	public static function doReorderPages($core, dcPostsActionsPage $ap, $post) {
-		foreach($post['order'] as $post_id => $value) {
-			if (!$core->auth->check('publish,contentadmin',$core->blog->id))
-				throw new Exception(__('You are not allowed to change this entry status'));
-			
-			$strReq = "WHERE blog_id = '".$core->con->escape($core->blog->id)."' ".
-					"AND post_id ".$core->con->in($post_id);
-			
-			#If user can only publish, we need to check the post's owner
-			if (!$core->auth->check('contentadmin',$core->blog->id))
-				$strReq .= "AND user_id = '".$core->con->escape($core->auth->userID())."' ";
-			
-			$cur = $core->con->openCursor($core->prefix.'post');
-			
-			$cur->post_position = (integer) $value-1;
-			$cur->post_upddt = date('Y-m-d H:i:s');
-			
-			$cur->update($strReq);
-			$core->blog->triggerBlog();
-			
-		}
-		$ap->redirect(array('reo'=>1),false);
-	}	
-}
-
 # Actions combo box
-
-$pages_actions_page = new dcPagesActionsPage($core,'plugin.php',array('p'=>'pages'));
-
-$pages_actions_page->process();
-
+$combo_action = array();
+if ($core->auth->check('publish,contentadmin',$core->blog->id))
+{
+	$combo_action[__('Status')] = array(
+		__('Publish') => 'publish',
+		__('Unpublish') => 'unpublish',
+		__('Schedule') => 'schedule',
+		__('Mark as pending') => 'pending'
+	);
+}
+	$combo_action[__('Change')] = array(
+		__('Change language') => 'lang'
+	);
+if ($core->auth->check('admin',$core->blog->id))
+{
+	$combo_action[__('Change')] = array_merge($combo_action[__('Change')], array(
+		__('Change author') => 'author')
+	);
+}
+if ($core->auth->check('delete,contentadmin',$core->blog->id))
+{
+	$combo_action[__('Delete')] = array(
+		__('Delete') => 'delete'
+	);
+}
 
 # --BEHAVIOR-- adminPagesActionsCombo
@@ -242,11 +199,4 @@
 	));
 
-if (!empty($_GET['upd'])) {
-	dcPage::success(__('Selected pages have been successfully updated.'));
-} elseif (!empty($_GET['del'])) {
-	dcPage::success(__('Selected pages have been successfully deleted.'));
-} elseif (!empty($_GET['reo'])) {
-	dcPage::success(__('Selected pages have been successfully reordered.'));
-}
 echo
 '<p class="top-add"><a class="button add" href="'.$p_url.'&amp;act=page">'.__('New page').'</a></p>';
@@ -256,5 +206,5 @@
 	# Show pages
 	$post_list->display($page,$nb_per_page,
-	'<form action="plugin.php" method="post" id="form-entries">'.
+	'<form action="plugin.php?p=pages&act=actions" method="post" id="form-entries">'.
 	
 	'%s'.
@@ -264,8 +214,8 @@
 	
 	'<p class="col right"><label for="action" class="classic">'.__('Selected pages action:').'</label> '.
-	form::combo('action',$pages_actions_page->getCombo()).
+	form::combo('action',$combo_action).
 	'<input type="submit" value="'.__('ok').'" /></p>'.
 	form::hidden(array('post_type'),'page').
-	form::hidden(array('p'),'pages').
+	form::hidden(array('redir'),html::escapeHTML($_SERVER['REQUEST_URI'])).
 	'</div>'.
 	$core->formNonce().
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 1833)
+++ plugins/pages/page.php	(revision 1741)
@@ -406,7 +406,7 @@
 					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
 					'</p>'.
-					'<p class="format_control control_wiki">'.
-					'<a id="convert-xhtml" class="button'.($post_id && $post_format != 'wiki' ? ' hide' : '').'" href="post.php?id='.$post_id.'&amp;xconv=1">'.
-					__('Convert to XHTML').'</a></p></div>')),
+					'<p>'.($post_id && $post_format != 'xhtml' ? 
+					'<a id="convert-xhtml" class="button maximal" href="post.php?id='.$post_id.'&amp;xconv=1">'.
+					__('Convert to XHTML').'</a>' : '').'</p></div>')),
 		'metas-box' => array(
 			'title' => __('Ordering'),
@@ -473,5 +473,5 @@
 		
 		"post_content" =>
-			'<p class="area" id="content-area"><label class="required" '.
+			'<p class="area"><label class="required" '.
 			'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
 			form::textarea('post_content',50,$core->auth->getOption('edit_size'),html::escapeHTML($post_content)).
@@ -494,5 +494,4 @@
 	echo '<div id="entry-wrapper">';
 	echo '<div id="entry-content"><div class="constrained">';
-	echo '<h3 class="out-of-screen-if-js">'.__('Edit page').'</h3>';
 	
 	
